pcl::poisson::StartingPolynomial< Degree > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/ppolynomial.h>`

## Public Member Functions

template<int Degree2>
StartingPolynomial< Degree+Degree2 > | operator* (const StartingPolynomial< Degree2 > &p) const
StartingPolynomial | scale (double s) const
StartingPolynomial | shift (double t) const
int | operator< (const StartingPolynomial &sp) const

## Static Public Member Functions

static int | Compare (const void *v1, const void *v2)

## Public Attributes

Polynomial< Degree > | p
double | start

## Detailed Description

### template<int Degree>
class pcl::poisson::StartingPolynomial< Degree >

Definition at line 44 of file ppolynomial.h.

## Member Function Documentation

template<int Degree>

int pcl::poisson::StartingPolynomial< Degree >::Compare | ( | const void * | v1,
|  | const void * | v2
| ) |  |

static

Definition at line 72 of file ppolynomial.hpp.

template<int Degree>
template<int Degree2>

StartingPolynomial< Degree+Degree2 > pcl::poisson::StartingPolynomial< Degree >::operator* | ( | const StartingPolynomial< Degree2 > & | p | ) | const

Definition at line 43 of file ppolynomial.hpp.

References pcl::poisson::StartingPolynomial< Degree >::p, and pcl::poisson::StartingPolynomial< Degree >::start.

template<int Degree>

int pcl::poisson::StartingPolynomial< Degree >::operator< | ( | const StartingPolynomial< Degree > & | sp | ) | const

Definition at line 67 of file ppolynomial.hpp.

References pcl::poisson::StartingPolynomial< Degree >::start.

template<int Degree>

StartingPolynomial< Degree > pcl::poisson::StartingPolynomial< Degree >::scale | ( | double | s | ) | const

Definition at line 51 of file ppolynomial.hpp.

References pcl::poisson::StartingPolynomial< Degree >::p, and pcl::poisson::StartingPolynomial< Degree >::start.

template<int Degree>

StartingPolynomial< Degree > pcl::poisson::StartingPolynomial< Degree >::shift | ( | double | t | ) | const

Definition at line 58 of file ppolynomial.hpp.

References pcl::poisson::StartingPolynomial< Degree >::p, and pcl::poisson::StartingPolynomial< Degree >::start.

Referenced by pcl::poisson::BSplineData< Degree, Real >::set().

## Member Data Documentation

template<int Degree>

Polynomial<Degree> pcl::poisson::StartingPolynomial< Degree >::p

Definition at line 46 of file ppolynomial.h.

Referenced by pcl::poisson::PPolynomial< Degree >::MovingAverage(), pcl::poisson::StartingPolynomial< Degree >::operator*(), pcl::poisson::StartingPolynomial< Degree >::scale(), pcl::poisson::PPolynomial< Degree >::set(), pcl::poisson::BSplineData< Degree, Real >::set(), and pcl::poisson::StartingPolynomial< Degree >::shift().

template<int Degree>

double pcl::poisson::StartingPolynomial< Degree >::start

Definition at line 47 of file ppolynomial.h.

Referenced by pcl::poisson::PPolynomial< Degree >::addScaled(), pcl::poisson::PPolynomial< Degree >::MovingAverage(), pcl::poisson::StartingPolynomial< Degree >::operator*(), pcl::poisson::StartingPolynomial< Degree >::operator<(), pcl::poisson::StartingPolynomial< Degree >::scale(), pcl::poisson::BSplineData< Degree, Real >::set(), and pcl::poisson::StartingPolynomial< Degree >::shift().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/ppolynomial.h
- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/ppolynomial.hpp